<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('email_log_bodies', function (Blueprint $table) {
            $table->id();
            $table->foreignId('email_log_id')->unique()->constrained('email_logs')->cascadeOnDelete();
            $table->longText('body_html')->nullable();
            $table->longText('body_text')->nullable();
            $table->boolean('inline_css')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('email_log_bodies');
    }
};
